const MESSAGE_TYPE_INFORMATION = 'Information';
const MESSAGE_TYPE_WARNING = 'Warning';
const MESSAGE_TYPE_SERIOUS = 'Serious';
const MESSAGE_TYPE_CRITICAL = 'Critical';
export const ALL_MESSAGE_TYPES = [
    MESSAGE_TYPE_INFORMATION,
    MESSAGE_TYPE_WARNING,
    MESSAGE_TYPE_SERIOUS,
    MESSAGE_TYPE_CRITICAL,
];
export const SEVERITY_TYPE_DEFAULT = 'default';
const SEVERITY_TYPE_WARNING = 'warning';
const SEVERITY_TYPE_SERIOUS = 'serious';
const SEVERITY_TYPE_CRITICAL = 'critical';
export const ALL_SEVERITIES_TYPES = [
    SEVERITY_TYPE_DEFAULT,
    SEVERITY_TYPE_WARNING,
    SEVERITY_TYPE_SERIOUS,
    SEVERITY_TYPE_CRITICAL,
];
export const MAP_MESSAGE_TYPE_TO_SEVERITY_TYPE = new Map([
    [MESSAGE_TYPE_INFORMATION, SEVERITY_TYPE_DEFAULT],
    [MESSAGE_TYPE_WARNING, SEVERITY_TYPE_WARNING],
    [MESSAGE_TYPE_SERIOUS, SEVERITY_TYPE_SERIOUS],
    [MESSAGE_TYPE_CRITICAL, SEVERITY_TYPE_CRITICAL],
]);
export const DEBOUNCED_SEARCH_TIME = 500;
